/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumIsocode;
import de.ship.db.tables.VDataquierMissinglist;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDataquierMissinglistRecord extends TableRecordImpl<VDataquierMissinglistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dataquier_missinglist.list</code>.
     */
    public void setList(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_missinglist.list</code>.
     */
    public Integer getList() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_missinglist.codes</code>.
     */
    public void setCodes(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_missinglist.codes</code>.
     */
    public String getCodes() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_missinglist.isocode</code>.
     */
    public void setIsocode(EnumIsocode value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_missinglist.isocode</code>.
     */
    public EnumIsocode getIsocode() {
        return (EnumIsocode) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_missinglist.stata_codes</code>.
     */
    public void setStataCodes(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_missinglist.stata_codes</code>.
     */
    public String getStataCodes() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_missinglist.missingtype</code>.
     */
    public void setMissingtype(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_missinglist.missingtype</code>.
     */
    public String getMissingtype() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDataquierMissinglistRecord
     */
    public VDataquierMissinglistRecord() {
        super(VDataquierMissinglist.V_DATAQUIER_MISSINGLIST);
    }

    /**
     * Create a detached, initialised VDataquierMissinglistRecord
     */
    public VDataquierMissinglistRecord(Integer list, String codes, EnumIsocode isocode, String stataCodes, String missingtype) {
        super(VDataquierMissinglist.V_DATAQUIER_MISSINGLIST);

        setList(list);
        setCodes(codes);
        setIsocode(isocode);
        setStataCodes(stataCodes);
        setMissingtype(missingtype);
        resetChangedOnNotNull();
    }
}
